Use Case 3: Zakup przygotowywanego produktu
=====================

**Aktor podstawowy:** Klient


Główni odbiorcy i oczekiwania względem systemu:
-----------------------------------------------

- Klient: Otrzyma wybrany produkt za podaną cene.

- Właściciel automatu: Wyda dokładnie jeden produkt za odpowiednią cene.

Warunki wstępne:
----------------

- W automacie są dostępne produkty.
- Klient posiada pieniądze na wybrany produkt.

Warunki końcowe:
----------------

- Klient otrzymał wybrany produkt
- W automacie są pieniądze za zakupiony produkt

Scenariusz główny (ścieżka podstawowa):
---------------------------------------

  1. Klient wybiera produkt podając jego numer.
  2. Automat wyświetla cene na ekranie.
  3. Klient dokonuje płatności.
  4. Automat wydaje reszte.
  5. Automat przygotowuje produkt do wydania.
  6. Automat wydaje gotowy produkt.
  7. Klient odbiera produkt.

Rozszerzenia (ścieżki alternatywne):
------------------------------------
  *a. W przypadku awarii dostawy prądu po ponownym uruchomieniu automat wczytuje stan z ostatniego zapisu z przed awarii.
    1. Automat uruchamia sie.
    2. Automat wczytuje stan z ostatniego zapisu.

  2a. Klient podał niewłaściwy numer produktu.
    1. Automat prosi o ponowne wpisanie numeru produktu.

  4a. Klient zapłacił nieprzyjmowaną walutą.
    1. Automat oddaje monete i nie zwięksa środków.

  8a. Klient nie odebrał produktu przez 20 sekund.
    1 Automat wydaje dźwięk przypominający o gotowym produkcie. 

Wymagania specjalne:
--------------------

  - Ekran ma być czytelny  odległości 1m.


Wymagania technologiczne oraz ograniczenia na wprowadzane dane:
---------------------------------------------------------------

  2a. Panel dotykowy do wprowadania numeru produktu.

  3a. Ekran do wyświetlania ceny.

  4a. System do przyjmowania i wydawania pieniędzy.

  8a. Głośnik

Kwestie otwarte:
----------------

  - Obsługa automatu przez osoby niewidome.